CVE-2002-0029

Current Description

Buffer overflows in the DNS stub resolver library in ISC BIND 4.9.2 through 4.9.10, and other derived libraries such as BSD libc and GNU glibc, allow remote attackers to execute arbitrary code via DNS server responses that trigger the overflow in the (1) getnetbyname, or (2) getnetbyaddr functions, aka "LIBRESOLV: buffer overrun" and a different vulnerability than CVE-2002-0684.

Basic Data

PublishedNovember 29, 2002
Last ModifiedSeptember 10, 2008
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationIscBind4.9.2*******
    2.3ApplicationIscBind4.9.3*******
    2.3ApplicationIscBind4.9.4*******
    2.3ApplicationIscBind4.9.5*******
    2.3ApplicationIscBind4.9.6*******
    2.3ApplicationIscBind4.9.7*******
    2.3ApplicationIscBind4.9.8*******
    2.3ApplicationIscBind4.9.9*******
    2.3ApplicationIscBind4.9.10*******
  • OR - Configuration 2
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSAstaroSecurity Linux2.0.23*******
    2.3OSAstaroSecurity Linux2.0.24*******
    2.3OSAstaroSecurity Linux2.0.25*******
    2.3OSAstaroSecurity Linux2.0.26*******
    2.3OSAstaroSecurity Linux2.0.27*******
    2.3OSAstaroSecurity Linux2.0.30*******
    2.3OSAstaroSecurity Linux3.2.0*******
    2.3OSAstaroSecurity Linux3.2.10*******
    2.3OSAstaroSecurity Linux3.2.11*******

Vulnerable Software List

VendorProductVersions
Isc Bind 4.9.10, 4.9.2, 4.9.3, 4.9.4, 4.9.5, 4.9.6, 4.9.7, 4.9.8, 4.9.9
Astaro Security Linux 2.0.23, 2.0.24, 2.0.25, 2.0.26, 2.0.27, 2.0.30, 3.2.0, 3.2.10, 3.2.11

References

NameSourceURLTags
NetBSD-SA2002-028ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2002-028.txt.ascNETBSD
20021201-01-Pftp://patches.sgi.com/support/free/security/advisories/20021201-01-PSGI
2002-11-21http://lists.apple.com/archives/Security-announce/2002/Nov/msg00000.htmlAPPLE
CA-2002-31http://www.cert.org/advisories/CA-2002-31.htmlCERTPatch Third Party Advisory US Government Resource
http://www.isc.org/products/BIND/bind-security.htmlhttp://www.isc.org/products/BIND/bind-security.htmlCONFIRMPatch Vendor Advisory
bind-dns-libresolv-bo(10624)http://www.iss.net/security_center/static/10624.phpXFVendor Advisory
VU#844360http://www.kb.cert.org/vuls/id/844360CERT-VNUS Government Resource
6186http://www.securityfocus.com/bid/6186BID